Page MenuHome

Blender crashes -> Append Group incl. Object using boolean modifier
Closed, ResolvedPublic

Description

System Information
OS: Windows 10 (64 Bit)
CPU: Intel i5-2500 3.30GHz
GFX: nVidea GeForce GTX 650 Ti
RAM: 8 GB

Blender Version
Blender 2.78a (2016-10-24 12:20 / Hash: e8299c8)

Short description of error
Appending a Group (3 Objects) with boolean modifier crashes Blender

Exact steps for others to reproduce the error

  • Create new File in Blender
  • Delete all Objects
  • Create Cube, Cylinder, Cone
  • Add all (Cube, Cylinder, Cone) to a new Group
  • Cylinder: Relations -> Parent -> Cube
  • Cube: Add Modifier Boolean (Operation: Difference / Objekt: Cylinder)
  • Save as TMP01.blend
  • Create new Blend-File
  • Delete all Objects
  • Append Group from File TMP01.blend
  • Blender crashes

Event Timeline

Dietmar Nelles (madOS) renamed this task from Append Group incl. Object using boolean modifier to Blender crashes -> Append Group incl. Object using boolean modifier.Nov 1 2016, 6:40 PM
Aaron Carlisle (Blendify) lowered the priority of this task from 90 to 30.Nov 3 2016, 6:57 PM

Everything worked when I tried. Please:

Hi,
it's still the same.
Blender 2.78
Date: 2016-11-03 02:15
Hash: f800794

Please create a new Blender file and delete all objects.
Try to append (Shift F1) the Group "Group" from the uploaded File "TMP01.blend"

(created with Hash: f800794)

Aaron Carlisle (Blendify) raised the priority of this task from 30 to 50.Nov 3 2016, 7:46 PM

Ok I can confirm that it crashes with the file you gave

19: BLI_system_backtrace - 0x316869B0
18: id_us_clear_real - 0x30EACB10
17: libblock_remap_data - 0x30EC21D0
16: BKE_libblock_remap_locked - 0x30EC0A90
15: BKE_libblock_unlink - 0x30EC1050
14: BKE_library_make_local - 0x30EAF9D0
13: wm_link_append_exec - 0x2FE8FF00
12: wm_handler_fileselect_do - 0x2FE69A40
11: wm_handler_fileselect_call - 0x2FE6A010
10: wm_handlers_do_intern - 0x2FE6A2B0
9: wm_handlers_do - 0x2FE6A940
8: wm_event_do_handlers - 0x2FE64FD0
7: WM_main - 0x2FE47FB0
6: main - 0x2FE40AA0
5: invoke_main - 0x35F369D0
4: __scrt_common_main_seh - 0x35F36780
3: __scrt_common_main - 0x35F36760
2: mainCRTStartup - 0x35F36A20
1: BaseThreadInitThunk - 0xE29D8350
0: RtlUserThreadStart - 0xE40F5E70
BLI_assert failed: C:\Users\Aaron\BlenderDev\blender-git\blender\source\blender\blenkernel\intern\library.c:190, id_us_clear_real(), at 'id->us >= ((((ID *)id)->flag & LIB_FAKEUSER) ? 1 : 0)'
19: BLI_system_backtrace - 0x316869B0
18: BKE_idcode_to_index - 0x30F1AA80
17: DAG_id_type_tag - 0x30E3DDC0
16: BKE_libblock_free_ex - 0x30EC0120
15: BKE_libblock_free - 0x30EC00D0
14: BKE_library_make_local - 0x30EAF9D0
13: wm_link_append_exec - 0x2FE8FF00
12: wm_handler_fileselect_do - 0x2FE69A40
11: wm_handler_fileselect_call - 0x2FE6A010
10: wm_handlers_do_intern - 0x2FE6A2B0
9: wm_handlers_do - 0x2FE6A940
8: wm_event_do_handlers - 0x2FE64FD0
7: WM_main - 0x2FE47FB0
6: main - 0x2FE40AA0
5: invoke_main - 0x35F369D0
4: __scrt_common_main_seh - 0x35F36780
3: __scrt_common_main - 0x35F36760
2: mainCRTStartup - 0x35F36A20
1: BaseThreadInitThunk - 0xE29D8350
0: RtlUserThreadStart - 0xE40F5E70
BLI_assert failed: C:\Users\Aaron\BlenderDev\blender-git\blender\source\blender\blenkernel\intern\idcode.c:308, BKE_idcode_to_index(), at '0'
Error: EXCEPTION_ACCESS_VIOLATION
Dietmar Nelles (madOS) changed the task status from Resolved to Unknown Status.Feb 17 2017, 10:25 AM

System Information
OS: Windows 10 (64 Bit)
CPU: Intel i5-2500 3.30GHz
GFX: nVidea GeForce GTX 650 Ti
RAM: 8 GB

Blender Version
version: 2.78 (sub 0), branch: master, commit date: 2017-02-08 13:50, hash: 3c04373, type:
build date: Wed 02/08/2017, 07:45 AM

Hi,
The bug is back in Blender 2.78.b
I've created a new TMP02.blend file

using Blender 2.78b.
Please try to append the group 'group' (from TMP02.blend) in an empty new blend-file. On my system the blender task disapears immediately without any message box.

Bastien Montagne (mont29) changed the task status from Unknown Status to Resolved.Feb 17 2017, 10:43 AM

*sight* 2.78b is not a bugfix release, it is a performances release (mostly for Cycles improvements). Wait for 2.79.